using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace Interval.TemplateColumns
{
	public class ImageColumn : TemplateColumn
	{
		#region private variables
		private ImageTemplate m_imgTemplate;
		#endregion private variables
		#region Constructors
		/// <summary>
		/// Konstruktor
		/// </summary>
		public ImageColumn() : base()
		{
			m_imgTemplate = new ImageTemplate();
			this.ItemTemplate = m_imgTemplate;
			this.EditItemTemplate = m_imgTemplate;
		}
		#endregion Constructors

		#region Public properties
		/// <summary>
		/// The DataField that we wish our control to bind to.
		/// </summary>
		public string DataField
		{
			get
			{
				return m_imgTemplate.DataField;
			}
			set
			{
				m_imgTemplate.DataField = value;
			}
		}

		#endregion Public properties

	}
}
